<%@ tag language="java" pageEncoding="UTF-8" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>

<%@ attribute name="id" required="true" description="ID of this list in the page. It must match the 'id' of the appropriate 'tr' elements." %>
<%@ attribute name="size" required="true" description="Size of the list." %>

<c:if test="${size > 10}">
  <script src="<c:url value="/pages/scripts/scriptaculous/prototype.js"/>" language="javascript"></script>
  <script src="<c:url value="/pages/scripts/scriptaculous/scriptaculous.js?load=effects"/>" language="javascript"></script>
  <script src="<c:url value="/pages/scripts/kosmos.js"/>" language="javascript"></script>

  <img src="<c:url value="/pages/images/table.gif"/>"/>
  &nbsp;
  <a href="javascript:void(0);" onclick="javascript:showTableRows('row-<portlet:namespace/>-${id}-', ${size}, 10);">
    <fmt:message key="action.show"/>&nbsp;10
  </a>
  &nbsp;|&nbsp;
  <c:if test="${size > 25}">
    <a href="javascript:void(0);" onclick="javascript:showTableRows('row-<portlet:namespace/>-${id}-', ${size}, 25);">
      <fmt:message key="action.show"/>&nbsp;25
    </a>
    &nbsp;|&nbsp;
  </c:if>
  <a href="javascript:void(0);" onclick="javascript:showTableRows('row-<portlet:namespace/>-${id}-', ${size}, ${size});">
    <fmt:message key="action.showAll"/>&nbsp;${size}
  </a>
</c:if>
